Summary: ulogd - The userspace logging daemon for netfilter
Name: ulogd
Version: 1.24
Release: alt2.0
Url: http://netfilter.org/projects/ulogd/
License: GPL
Group: System/Servers
Source: http://netfilter.org/projects/ulogd/files/%{name}-%{version}.tar.bz2
Source1: ulogd.init
Source2: ulogd.logrotate
Patch0: %name-alt-rules.make.in.patch
Patch1: %name-alt-ulogd.conf.in.patch

Requires: libpcap

# Automatically added by buildreq on Tue Mar 20 2007
BuildRequires: libpcap-devel zlib-devel

%description
ulogd is an universal logging daemon for the ULOG target of netfilter, the
Linux 2.6 firewalling subsystem. ulogd is able to log packets in variuos
formats to different targets (text files, databases, etc..). It has an
easy-to-use plugin interface to add new protocols and new output targets.


%package mysql
Summary: MySQL output plugin for ulogd
Group: System/Servers
Requires: %name = %version-%release
Requires: libMySQL zlib
BuildRequires: libMySQL-devel zlib-devel

%description mysql
ulogd-mysql is a MySQL output plugin for ulogd. It enables logging of
firewall information into a MySQL database.


%package pgsql
Summary: PostgreSQL output plugin for ulogd
Group: System/Servers
Requires: %name = %version-%release
Requires: libpq3
BuildRequires: postgresql-devel

%description pgsql
ulogd-pgsql is a PostgreSQL output plugin for ulogd. It enables logging of
firewall information into a PostgreSQL database.

%package -n libipulog-devel-static
Summary: header and static lib for ipulog
Group: Development/C

%description -n libipulog-devel-static
header and static libraries for ipulog

%prep
%setup
%patch0 -p0
%patch1 -p0

%build
%configure --with-mysql=/usr/lib/mysql --with-pgsql=/usr/lib/pgsql
make DESTDIR=%{buildroot}

%install
mkdir -p %{buildroot}/%{_logdir}/ulogd
mkdir -p %{buildroot}/%{_sysconfdir}
mkdir -p %{buildroot}/%{_libdir}/ulogd
mkdir -p %{buildroot}/%{_sbindir}
mkdir -p %{buildroot}/%{_includedir}/libipulog
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}/%{_sysconfdir}/rc.d/init.d
install %SOURCE1 %{buildroot}/%{_sysconfdir}/rc.d/init.d/ulogd
install libipulog/include/libipulog/libipulog.h %{buildroot}/usr/include/libipulog
install libipulog/libipulog.a %{buildroot}/%{_libdir}

mkdir -p %{buildroot}/%{_sysconfdir}/logrotate.d
install %SOURCE2 %{buildroot}/%{_sysconfdir}/logrotate.d/

mkdir -p %{buildroot}/%{_datadir}/ulogd
install doc/mysql.table %{buildroot}/%{_datadir}/ulogd/
install doc/mysql.table.ipaddr-as-string %{buildroot}/%{_datadir}/ulogd/
install doc/pgsql.table %{buildroot}/%{_datadir}/ulogd/
# Waiting for build with sqlite
#install doc/sqlite3.table %{buildroot}/%{_datadir}/ulogd/

%files
%attr(0755,root,root) %{_sbindir}/ulogd
%{_sysconfdir}/ulogd.conf
%{_sysconfdir}/rc.d/init.d/ulogd
%{_sysconfdir}/logrotate.d/ulogd.logrotate
%dir %{_libdir}/ulogd
%attr(0700,root,root) %{_logdir}/ulogd
%{_libdir}/ulogd/ulogd_BASE.so
%{_libdir}/ulogd/ulogd_LOCAL.so
%{_libdir}/ulogd/ulogd_LOGEMU.so
%{_libdir}/ulogd/ulogd_OPRINT.so
%{_libdir}/ulogd/ulogd_PWSNIFF.so
%{_libdir}/ulogd/ulogd_SYSLOG.so
%{_libdir}/ulogd/ulogd_PCAP.so
%doc COPYING AUTHORS README
%doc doc/ulogd.txt doc/ulogd.a4.ps doc/ulogd.html

%files mysql
%{_libdir}/ulogd/ulogd_MYSQL.so
%{_datadir}/ulogd/mysql.table
%{_datadir}/ulogd/mysql.table.ipaddr-as-string

%files pgsql
%{_libdir}/ulogd/ulogd_PGSQL.so
%{_datadir}/ulogd/pgsql.table

%files -n libipulog-devel-static
%attr(0644,root,root) /usr/include/libipulog/libipulog.h
%attr(0644,root,root) %{_libdir}/libipulog.a

%changelog
* Fri Mar 30 2007 ALT QA Team Robot <qa-robot@altlinux.org> 1.24-alt2.0
- Rebuilt due to libpq.so.4 -> libpq.so.5 soname change.

* Wed Mar 21 2007 Avramenko Andrew <liks@altlinux.ru> 1.24-alt2
- add logrotate file
- fix #3267
- fix #3973, #6425, #8685

* Mon Mar 12 2007 Avramenko Andrew <liks@altlinux.ru> 1.24-alt1
- new version
- spec refreshing

* Mon Dec 29 2003 Victor V Ismakaev <ivv@altlinux.ru> 1.02-alt0.1
- new version

* Wed Oct 01 2003 Victor V Ismakaev <ivv@altlinux.ru> 1.01-alt0.1
- ulogd-1.01
- First build for ALTLinux

* Wed Mar 05 2003 Harald Welte <laforge@gnumonks.org>
- ulogd-1.00-1gm
- updated to 1.00 release

* Mon Sep 24 2001 Harald Welte <laforge@conectiva.com>
- ulogd-0.97-1cl
- updatd to 0.97 release (to fix endless-one-packet-loop bug)

* Sun Jun 17 2001 Harald Welte <laforge@conectiva.com>
- ulogd-0.96-2cl
- updated to 0.96 final release
- use ulogd.init from within source tgz

* Sun May 20 2001 Harald Welte <laforge@conectiva.com>
- ulogd-0.96-1cl
- Initial conectiva package
- cleaned up SPEC file
- created mysql subpackage

* Sun Nov 19 2000 Harald Welte <laforge@gnumonks.org>
- Initial RPM package for ulogd-0.9.
